/*
 * clock-arch.h
 *
 *  Created on: Jan 29, 2012
 *      Author: RomanM
 */

#ifndef CLOCK_ARCH_H_
#define CLOCK_ARCH_H_

typedef unsigned int clock_time_t;	// clock_time_t 16-bit unsigned
#define CLOCK_CONF_SECOND 100		// Number of SysTicks in 1 second

void clock_init(void);
clock_time_t clock_time(void);
void clock_handler(void);

#endif /* CLOCK_ARCH_H_ */
